<left> Contents->Command Line

1. Usage
2. Options
3. GUI Options
4. Environment Variables
5. WM Class Names

## Usage

- `endeavour2 [path] [extra] [options] [GUI_options]`

The `[path]` specifies the path of the startup location. If this is not specified then the path to the most recent location visited will be used.

The `[extra]` specifies the page, password, second path, or subsection based on the window that was specified at startup. If this is not specified then the default value based on the window specified at startup will be used. The `[extra]` argument must be specified after the `[path]` argument, if the `[path]` is not applicable then it still must be specified as an empty string (`""`) from the command line.

For the Archiver `[extra]` specifies the password.

For the Properties Dialog `[extra]` specifies the page. Its value can be:

- `General`
- `Link`
- `Device`
- `Device Node`
- `Details`

For the MIME Types List `[extra]` specifies the type of the MIME Type to select at startup.

For the Run Dialog `[extra]` specifies the path of the working directory.

For the Options Dialog `[extra]` specifies the page. Its value can be:

- `General`
- `Display`
- `Programs`
- `Confirmation`
- `Date & Time`
- `Sound`
- `Misc`

For the Customize Dialog `[extra]` specifies the page. Its value can be:

- `Global`
- `File Browser`
- `Image Browser`
- `Archiver`
- `Recycle Bin`

For the About Dialog `[extra]` specifies the page. Its value can be:

- `Credits`
- `Copyright`
- `Version`

`[options]`can be any of the following:

`[options]` | Description
`--config <file>` | Load configuration from `<file>`
`--rcfile` | Same as `--config`
`-f` | Same as `--config`
`--no-splash` | Do not show splash on startup
`--no-stdout-dialog` | Do not show stdout messages in a dialog
`--no-stderr-dialog` | Do not show stderr messages in a dialog
`--file-browser` | Start up with the File Browser
`--image-browser` | Start up with the Image Browser
`--archiver` | Start up with the Archiver
`--recycle-bin` | Start up with the Recycle Bin
`--properties` | Start up with the Properties Dialog (requires the `[path]` argument to specify an object to display properties of)
`--options` | Start up with the Options Window (the `[path]` argument can be used to specify the Options Window tab)
`--customize` | Start up with the Customize Window (the `[path]` argument can be used to specify the Customize Window tab)
`--devices` | Start up with the Devices List
`--mimetypes` | Start up with the Mimetypes List
`--run` | Start up with the Run Dialog (the `[path]` argument can be used to specify the command)
`--find` | Start up with the Find Window (the `[path]` argument can be used to specify the location)
`--about` | Start up with the About Dialog (the `[path]` argument can be used to specify the About Dialog tab)
`--help` | Prints the help screen and exits
`--version` | Prints the version and exits

`[GUI_options]` can be any of the following:

`[GUI_options]` | Description
`--geometry <WxH+X+Y>` | Specifies the geometry of the windows
`--fn <font>` | Specifies the font to be used for the lists
`--fg <color>` | Specifies the foreground color for the lists
`--bg <color>` | Specifies the background color for the lists
`--sfg <color>` | Specifies the selected foreground & text color for the lists
`--sbg <color>` | Specifies the selected background & base color for the lists
`--cfg <color>` | Specifies the pointer cursor's foreground color
`--cbg <color>` | Specifies the pointer cursor's background color
`--bg-pixmap <path>` | Specifies the background pixmap for the lists
`--sbg-pixmap <path>` | Specifies the selected background pixmap for the lists
`--name <name>` | Specifies the WM window name
`--class <class>` | Specifies the WM class name
`--title <title>` | Specifies the title to be displayed on the title bars

Most customizations can be performed in the Customize and Options windows, see Settings menu.

Command line options override any options in the configuration file.

`[GUI_options]` can be any options standard to your GUI, consult your GUI's manual for available options.

Back to the top

## Environment Variables

Environment Variable | Description
`DISPLAY` | Specifies the host address, display number, and screen number to connect to the X server
`PATH` | Specifies the search path, a string containing a list of paths separated by `;` characters
`USERNAME` | Specifies the user's name
`USER` | Fallback for `USERNAME`
`HOME` | Specifies the absolute path to the user's home directory
`EDITOR` | Specifies the command to execute the preferred text editor
`EDIT` | Fallback for `EDITOR`
`VIEWER` | Specifies the command to execute the preferred file viewer
`VIEW` | Fallback for `VIEWER`
`BROWSER` | Specifies the command to execute the preferred web browser
`HELPBROWSER` | Specifies the command to execute the preferred help browser (if this is not set then it will fallback to `BROWSER`)
`TMPDIR` | Specifies the full path to the tempory files directory (default value is `/tmp`)
`EDVCFGFILE` | Specifies the full path to the program's configuration file (default value is `$HOME/.endeavour2/endeavour2.ini`)
`EDVINTERPSLOCK` | Specifies the full path to the InterPS lock link (default value is `$HOME/.endeavour2/lock`)
`EDVINTERPSCMDFILE` | Specifies the full path to the InterPS command file (default value is `$HOME/.endeavour2/cmd`)

Back to the top

## WM Class Names

WM Class Name | Description
`Endeavour` | Class name
`filebrowser` | File Browser Window name
`imagebrowser` | Image Browser Window name
`presentationmode` | Image Browser Fullscreen Presentation Mode Window name
`recyclebin` | Recycle Bin Window name
`archiver` | Archiver Window name
`mimetypeslist` | MIME Types List Window name
`deviceslist` | Devices List Window name
`propertiesdialog` | Properties Dialog name
`options` | Options & Customize Window name
`find` | Find Window name
`history` | History Window name
`dialog` | All Dialogs name
`fileselection` | File Selection Dialog name

Back to the top

Endeavour Mark II is Copyright © 1997-2006 WolfPack Entertainment

</left>